/*
 * Copyright (c) 2000-2015 TeamDev Ltd. All rights reserved.
 * TeamDev PROPRIETARY and CONFIDENTIAL.
 * Use is subject to license terms.
 */

import com.teamdev.jexplorer.Browser;
import com.teamdev.jexplorer.HttpSecurityHandler;
import com.teamdev.jexplorer.SecurityProblem;

import javax.swing.*;
import java.awt.*;

/**
 * The sample demonstrates how to handle HTTPS security issues such as invalid SSL certificate.
 */
public class SecurityProblemSample {
    public static void main(String[] args) {
        Browser browser = new Browser();
        browser.setHttpSecurityHandler(new HttpSecurityHandler() {
            @Override
            public HttpSecurityAction onSecurityProblem(SecurityProblem problem) {
                if (problem.isInvalidCertificate()) {
                    return HttpSecurityAction.CONTINUE;
                }
                return HttpSecurityAction.DEFAULT;
            }
        });

        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        frame.add(browser, BorderLayout.CENTER);
        frame.setSize(800, 600);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);

        browser.navigate("https://tv.eurosport.ru/");
    }
}
